<?php

namespace App\Http\Controllers\Client\Package;

use App\Modules\HtlCampSchedule\Application\Order\MapSchedule;

class CampCalendarList
{
    private array $map;

    public function __construct()
    {
        $this->map = [];
    }

    public function set(string $key, MapSchedule $value)
    {
        $this->map[$key] = $value;
    }

    public function has(string $key): bool
    {
        return isset($this->map[$key]);
    }

    public function get(string $key): MapSchedule
    {
        return $this->map[$key];
    }
}
